Page MenuHomePhabricator

Add DragonFlyBSD support to OpenMP
ClosedPublic

Authored by rimvydas on Jul 7 2017, 9:51 AM.

Details

Summary

Additions mostly follow FreeBSD and NetBSD and are not intrusive.
There is similar patch for OpenBSD: https://reviews.llvm.org/D34280

The -lm was being omitted due to -Wl,--as-needed in cmake rule, similar patch is in freebsd-ports/devel/llvm-devel port.

Simple OpenMP programs compile and work as expected:
$ clang-devel ~/omp_hello.c -fopenmp -I/usr/local/llvm-devel/include
$ LD_LIBRARY_PATH=/usr/local/llvm-devel/lib OMP_NUM_THREADS=100 ./a.out

The assertion in LLVMgold.so when -fopenmp was used together with -flto in 20170524 snapshot is no longer triggered on current svn-trunk and works fine as in llvm-4.0 with our local patches.

Diff Detail

Repository
rOMP OpenMP

Event Timeline

rimvydas created this revision.Jul 7 2017, 9:51 AM
emaste added a comment.Jul 7 2017, 1:57 PM

For future uploads can you please include context (e.g. git diff -U9999)
This seems reasonable to me.

rimvydas updated this revision to Diff 105735.Jul 8 2017, 12:42 AM

Included context.

krytarowski accepted this revision.Dec 8 2018, 8:09 PM
This revision is now accepted and ready to land.Dec 8 2018, 8:09 PM
Closed by commit rOMP348725: Add DragonFlyBSD support to OpenMP (authored by kamil, committed by ). · Explain WhyDec 9 2018, 8:44 AM
This revision was automatically updated to reflect the committed changes.